Upload or update a preview image for an event
curl --request POST \
--url https://tandem.hlofiys.xyz/api/events/{event_id}/preview-image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form preview_image='@example-file'import requests
url = "https://tandem.hlofiys.xyz/api/events/{event_id}/preview-image"
files = { "preview_image": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('preview_image', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://tandem.hlofiys.xyz/api/events/{event_id}/preview-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"preview_image_url": "<string>"
}{
"message": "Validation failed",
"errors": {
"name": "The name field is required.",
"price": "The price must be a valid number.",
"hall_id": "A valid hall_id is required."
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Admin: Events
Upload or update a preview image for an event
Uploads or replaces the preview image for a specific event.
The request body must be of type multipart/form-data with a single file part named preview_image.
Constraints:
- File Size Limit: 10 MB.
- Allowed Formats: JPEG, PNG, and WebP (
image/jpeg,image/png,image/webp).
POST
/
api
/
events
/
{event_id}
/
preview-image
Upload or update a preview image for an event
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
multipart/form-data
The image file to upload.
Response
Image uploaded successfully. Returns the URL of the uploaded image.
⌘I